<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:24 CEST 2019 -->
<title>AbstractFbService (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractFbService (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":6,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/AbstractFbService.html" target="_top">Frames</a></li>
<li><a href="AbstractFbService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbAttachment">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng</div>
<h2 title="Class AbstractFbService" class="title">Class AbstractFbService&lt;T extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>,? extends <a href="../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&gt;&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractFbAttachment</a>&lt;T&gt;</li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.AbstractFbService&lt;T&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a>, <a href="../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>, <a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireService.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireService</a>, <a href="../../../../org/firebirdsql/gds/ng/jna/JnaService.html" title="class in org.firebirdsql.gds.ng.jna">JnaService</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractFbService&lt;T extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>,? extends <a href="../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&gt;&gt;</span>
extends <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">AbstractFbAttachment</a>&lt;T&gt;
implements <a href="../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a></pre>
<div class="block">Abstract service implementation.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbAttachment">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">AbstractFbAttachment</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#connection">connection</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#exceptionListenerDispatcher">exceptionListenerDispatcher</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html#AbstractFbService-T-org.firebirdsql.gds.ng.DatatypeCoder-">AbstractFbService</a></span>(<a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html" title="type parameter in AbstractFbService">T</a>&nbsp;connection,
                 <a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a>&nbsp;datatypeCoder)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html#addServiceListener-org.firebirdsql.gds.ng.listeners.ServiceListener-">addServiceListener</a></span>(<a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ServiceListener</a>&nbsp;listener)</code>
<div class="block">Adds a <a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>ServiceListener</code></a> instance to this database.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html#close--">close</a></span>()</code>
<div class="block">Detaches and closes the connection.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html#getDescribeServiceRequestBuffer--">getDescribeServiceRequestBuffer</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>&lt;R&gt;&nbsp;R</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html#getServiceInfo-org.firebirdsql.gds.ServiceParameterBuffer-org.firebirdsql.gds.ServiceRequestBuffer-int-org.firebirdsql.gds.ng.InfoProcessor-">getServiceInfo</a></span>(<a href="../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;serviceParameterBuffer,
              <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;serviceRequestBuffer,
              int&nbsp;bufferLength,
              <a href="../../../../org/firebirdsql/gds/ng/InfoProcessor.html" title="interface in org.firebirdsql.gds.ng">InfoProcessor</a>&lt;R&gt;&nbsp;infoProcessor)</code>
<div class="block">Request service info (service query).</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../org/firebirdsql/gds/ng/InfoProcessor.html" title="interface in org.firebirdsql.gds.ng">InfoProcessor</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html#getServiceInformationProcessor--">getServiceInformationProcessor</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html#getServiceWarningCallback--">getServiceWarningCallback</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html#internalDetach--">internalDetach</a></span>()</code>
<div class="block">Actual implementation of service detach.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html#removeServiceListener-org.firebirdsql.gds.ng.listeners.ServiceListener-">removeServiceListener</a></span>(<a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ServiceListener</a>&nbsp;listener)</code>
<div class="block">Removes a <a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>ServiceListener</code></a> instance from this database.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbAttachment">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">AbstractFbAttachment</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#checkConnected--">checkConnected</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#createDbCryptCallback--">createDbCryptCallback</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getDatatypeCoder--">getDatatypeCoder</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getEncoding--">getEncoding</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getEncodingFactory--">getEncodingFactory</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getServerVersion--">getServerVersion</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getServerVersionInformation--">getServerVersionInformation</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getSynchronizationObject--">getSynchronizationObject</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#isAttached--">isAttached</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#safelyDetach--">safelyDetach</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setAttached--">setAttached</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setDetached--">setDetached</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setServerVersion-java.lang.String...-">setServerVersion</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.FbService">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/FbService.html#createServiceParameterBuffer--">createServiceParameterBuffer</a>, <a href="../../../../org/firebirdsql/gds/ng/FbService.html#createServiceRequestBuffer--">createServiceRequestBuffer</a>, <a href="../../../../org/firebirdsql/gds/ng/FbService.html#getHandle--">getHandle</a>, <a href="../../../../org/firebirdsql/gds/ng/FbService.html#getServiceInfo-org.firebirdsql.gds.ServiceParameterBuffer-org.firebirdsql.gds.ServiceRequestBuffer-int-">getServiceInfo</a>, <a href="../../../../org/firebirdsql/gds/ng/FbService.html#startServiceAction-org.firebirdsql.gds.ServiceRequestBuffer-">startServiceAction</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.FbAttachment">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#attach--">attach</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getDatatypeCoder--">getDatatypeCoder</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getEncoding--">getEncoding</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getEncodingFactory--">getEncodingFactory</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getServerVersion--">getServerVersion</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getSynchronizationObject--">getSynchronizationObject</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#isAttached--">isAttached</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.listeners.ExceptionListenable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.listeners.<a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractFbService-org.firebirdsql.gds.ng.AbstractConnection-org.firebirdsql.gds.ng.DatatypeCoder-">
<!--   -->
</a><a name="AbstractFbService-T-org.firebirdsql.gds.ng.DatatypeCoder-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractFbService</h4>
<pre>protected&nbsp;AbstractFbService(<a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html" title="type parameter in AbstractFbService">T</a>&nbsp;connection,
                            <a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a>&nbsp;datatypeCoder)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getServiceInfo-org.firebirdsql.gds.ServiceParameterBuffer-org.firebirdsql.gds.ServiceRequestBuffer-int-org.firebirdsql.gds.ng.InfoProcessor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getServiceInfo</h4>
<pre>public final&nbsp;&lt;R&gt;&nbsp;R&nbsp;getServiceInfo(<a href="../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;serviceParameterBuffer,
                                  <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;serviceRequestBuffer,
                                  int&nbsp;bufferLength,
                                  <a href="../../../../org/firebirdsql/gds/ng/InfoProcessor.html" title="interface in org.firebirdsql.gds.ng">InfoProcessor</a>&lt;R&gt;&nbsp;infoProcessor)
                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbService.html#getServiceInfo-org.firebirdsql.gds.ServiceParameterBuffer-org.firebirdsql.gds.ServiceRequestBuffer-int-org.firebirdsql.gds.ng.InfoProcessor-">FbService</a></code></span></div>
<div class="block">Request service info (service query).</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbService.html#getServiceInfo-org.firebirdsql.gds.ServiceParameterBuffer-org.firebirdsql.gds.ServiceRequestBuffer-int-org.firebirdsql.gds.ng.InfoProcessor-">getServiceInfo</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>serviceParameterBuffer</code> - Service parameters</dd>
<dd><code>serviceRequestBuffer</code> - Service request info</dd>
<dd><code>bufferLength</code> - Response buffer length to use</dd>
<dd><code>infoProcessor</code> - Implementation of <a href="../../../../org/firebirdsql/gds/ng/InfoProcessor.html" title="interface in org.firebirdsql.gds.ng"><code>InfoProcessor</code></a> to transform
         the info response</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Transformed info response of type T</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors retrieving or transforming the response.</dd>
</dl>
</li>
</ul>
<a name="addServiceListener-org.firebirdsql.gds.ng.listeners.ServiceListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addServiceListener</h4>
<pre>public final&nbsp;void&nbsp;addServiceListener(<a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ServiceListener</a>&nbsp;listener)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbService.html#addServiceListener-org.firebirdsql.gds.ng.listeners.ServiceListener-">FbService</a></code></span></div>
<div class="block">Adds a <a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>ServiceListener</code></a> instance to this database.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbService.html#addServiceListener-org.firebirdsql.gds.ng.listeners.ServiceListener-">addServiceListener</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - Database listener</dd>
</dl>
</li>
</ul>
<a name="removeServiceListener-org.firebirdsql.gds.ng.listeners.ServiceListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeServiceListener</h4>
<pre>public final&nbsp;void&nbsp;removeServiceListener(<a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ServiceListener</a>&nbsp;listener)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbService.html#removeServiceListener-org.firebirdsql.gds.ng.listeners.ServiceListener-">FbService</a></code></span></div>
<div class="block">Removes a <a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>ServiceListener</code></a> instance from this database.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbService.html#removeServiceListener-org.firebirdsql.gds.ng.listeners.ServiceListener-">removeServiceListener</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - Database Listener</dd>
</dl>
</li>
</ul>
<a name="internalDetach--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>internalDetach</h4>
<pre>protected abstract&nbsp;void&nbsp;internalDetach()
                                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Actual implementation of service detach.
 <p>
 Implementations of this method should only be called from <a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html#close--"><code>close()</code></a>, and should <strong>not</strong>
 notify service listeners of the service <a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html#detaching-org.firebirdsql.gds.ng.FbService-"><code>ServiceListener.detaching(FbService)</code></a> and
 <a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html#detached-org.firebirdsql.gds.ng.FbService-"><code>ServiceListener.detached(FbService)</code></a> events.
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="close--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>public final&nbsp;void&nbsp;close()
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Detaches and closes the connection.
 <p>
 Implementation note: Calls <a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#checkConnected--"><code>AbstractFbAttachment.checkConnected()</code></a> and notifies service listeners of the detaching event, then
 calls <a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html#internalDetach--"><code>internalDetach()</code></a> and finally notifies service listeners of database detach and removes all
 listeners.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true#close--" title="class or interface in java.lang">close</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a></code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#close--">close</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If not currently connected, or another problem occurred detaching.</dd>
</dl>
</li>
</ul>
<a name="getServiceWarningCallback--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getServiceWarningCallback</h4>
<pre>protected final&nbsp;<a href="../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;getServiceWarningCallback()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The warning callback for this service.</dd>
</dl>
</li>
</ul>
<a name="getDescribeServiceRequestBuffer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDescribeServiceRequestBuffer</h4>
<pre>protected&nbsp;<a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;getDescribeServiceRequestBuffer()</pre>
</li>
</ul>
<a name="getServiceInformationProcessor--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getServiceInformationProcessor</h4>
<pre>protected&nbsp;<a href="../../../../org/firebirdsql/gds/ng/InfoProcessor.html" title="interface in org.firebirdsql.gds.ng">InfoProcessor</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&gt;&nbsp;getServiceInformationProcessor()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/AbstractFbService.html" target="_top">Frames</a></li>
<li><a href="AbstractFbService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbAttachment">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
